#ifndef __iistcl_h__
#define __iistcl_h__

extern "C" {
  #include "ximtool.h"

  void xim_initialize(XimDataPtr xim, int config, int nframes, int frame);
  void xim_iisopen(XimDataPtr);
  void xim_iisclose(XimDataPtr);
}

#define IISDEBUG 1

class IIS {
 private:
  Tcl_Interp* interp;

 public:
  XimData xim;
  IoChan* chan;
  int fd;
  void (*func)(IoChan*, int*, void*);

 public:
  IIS(Tcl_Interp*);
  ~IIS();

  void eval(char*);
  int open();
  int close();
};

extern IIS* iis;

#endif;
