#ifndef __fitsalloc_h__
#define __fitsalloc_h__

#include "strm.h"

class FitsAlloc : public FitsStream<FILE*> {
public:
  FitsAlloc(const char*);
  virtual ~FitsAlloc() {}
};

class FitsFitsAlloc : public FitsAlloc {
public:
  FitsFitsAlloc(const char*, ScanMode);
};

class FitsArrAlloc : public FitsAlloc {
public:
  FitsArrAlloc(const char*);
};

class FitsMosaicAlloc : public FitsAlloc {
public:
  FitsMosaicAlloc(const char*);
};

class FitsMosaicNextAlloc : public FitsStream<FILE*> {
public:
  FitsMosaicNextAlloc(FitsFile* prev);
};

#endif
