#include "colorscalepseudo8.h"
#include "util.h"

ColorScalePseudoColor8::ColorScalePseudoColor8(int s) : ColorScale(s)
{
  colors_ = new unsigned char[s];

  for (int i=0; i<s; i++)
    colors_[i] = psIndex_[i];
}

LinearScalePseudoColor8::LinearScalePseudoColor8(int s, 
						 unsigned short* indexCells, 
						 unsigned char* colorCells,
						 int count)
  : LinearScale(s, indexCells, colorCells, count), 
    ColorScalePseudoColor8(s), 
    ColorScale(s) {}

LogScalePseudoColor8::LogScalePseudoColor8(int s, 
					   unsigned short* indexCells,
					   unsigned char* colorCells,
					   int count)
  : LogScale(s, indexCells, colorCells, count),
    ColorScalePseudoColor8(s),
    ColorScale(s) {}

SquaredScalePseudoColor8::SquaredScalePseudoColor8(int s, 
						   unsigned short* indexCells,
						   unsigned char* colorCells,
						   int count)
  : SquaredScale(s, indexCells, colorCells, count), 
    ColorScalePseudoColor8(s),
    ColorScale(s) {}

SqrtScalePseudoColor8::SqrtScalePseudoColor8(int s,
					     unsigned short* indexCells,
					     unsigned char* colorCells,
					     int count)
  : SqrtScale(s, indexCells, colorCells, count),
    ColorScalePseudoColor8(s),
    ColorScale(s) {}
