#ifndef __colorscaletrue16_h__
#define __colorscaletrue16_h__

#include "colorscale.h"

class ColorScaleTrueColor16 : public virtual ColorScale {
public:
  ColorScaleTrueColor16(int, Visual*);
};

class LinearScaleTrueColor16 :
public virtual ColorScale, 
public LinearScale, 
public ColorScaleTrueColor16 {
public:
  LinearScaleTrueColor16(int, unsigned short*, unsigned char*, int, Visual*);
};

class LogScaleTrueColor16 :
public virtual ColorScale, 
public LogScale, 
public ColorScaleTrueColor16 {
public:
  LogScaleTrueColor16(int, unsigned short*, unsigned char*, int, Visual*);
};

class SquaredScaleTrueColor16 :
public virtual ColorScale, 
public SquaredScale, 
public ColorScaleTrueColor16 {
public:
  SquaredScaleTrueColor16(int, unsigned short*, unsigned char*, int, Visual*);
};

class SqrtScaleTrueColor16 :
public virtual ColorScale, 
public SqrtScale, 
public ColorScaleTrueColor16 {
public:
  SqrtScaleTrueColor16(int, unsigned short*, unsigned char*, int, Visual*);
};

#endif
