#ifndef __list_h__
#define __list_h__

#include <stdlib.h>

template<class T>
class List {
private:
  T* head_;
  T* tail_;
  int count_;
  T* current_;

public:
  List();
  ~List();

  void insertHead(T*);
  void insert(int, T*);
  void append(T*);
  T* pop();
  T* extractNext(T*);
  T* extractPrev(T*);
  void deleteAll();
  T* head() {return current_ = head_;}
  T* tail() {return current_ = tail_;}
  T* next() {return current_ ? current_ = current_->next() : NULL;}
  T* previous() {return current_ ? current_ = current_->previous() : NULL;}
  T* current() {return current_;}
  int count() {return count_;}
  T* operator[](int i);

  void transverse(void (*proc)(T*));
};

#endif
